import { ElementRef, EventEmitter, Injector, AfterViewInit } from '@angular/core';
import { ControlValueAccessor, FormControl, FormGroupDirective, NgForm } from '@angular/forms';
export declare class ValueAccessor implements AfterViewInit, ControlValueAccessor {
    protected element: ElementRef;
    protected injector: Injector;
    readonly isInvalid: boolean;
    /**
     * Enable two-way binding
     */
    readonly valueChange: EventEmitter<any>;
    protected ngControl: FormControl;
    protected lastValue: any;
    private readonly parent;
    private onChange;
    onTouched: () => void;
    constructor(element: ElementRef, parentForm: NgForm, parentGroup: FormGroupDirective, injector: Injector);
    ngAfterViewInit(): void;
    onAnjBlur(): void;
    writeValue(value: any): void;
    onChangeEvent(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onValidChange(): void;
}
